source: squid-ssl/trunk/fuentes/helpers/negotiate_auth/kerberos/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 49.3 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# helpers/negotiate_auth/kerberos/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92TESTS =
93am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = negotiate_kerberos_auth$(EXEEXT) \
95        negotiate_kerberos_auth_test$(EXEEXT)
96subdir = helpers/negotiate_auth/kerberos
97ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
98am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
99        $(top_srcdir)/acinclude/init.m4 \
100        $(top_srcdir)/acinclude/squid-util.m4 \
101        $(top_srcdir)/acinclude/compiler-flags.m4 \
102        $(top_srcdir)/acinclude/os-deps.m4 \
103        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
104        $(top_srcdir)/acinclude/pkg.m4 \
105        $(top_srcdir)/acinclude/lib-checks.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
107        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
108        $(top_srcdir)/helpers/basic_auth/modules.m4 \
109        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/modules.m4 \
124        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
126        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/modules.m4 \
136        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
137        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
138        $(top_srcdir)/helpers/external_acl/modules.m4 \
139        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
143        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
144        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
146        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
149        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
150        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
151        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
154        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
155        $(top_srcdir)/configure.ac
156am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
157        $(ACLOCAL_M4)
158DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
159mkinstalldirs = $(install_sh) -d
160CONFIG_HEADER = $(top_builddir)/include/autoconf.h
161CONFIG_CLEAN_FILES =
162CONFIG_CLEAN_VPATH_FILES =
163am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
164PROGRAMS = $(libexec_PROGRAMS)
165am_negotiate_kerberos_auth_OBJECTS =  \
166        negotiate_kerberos_auth.$(OBJEXT) \
167        negotiate_kerberos_pac.$(OBJEXT)
168negotiate_kerberos_auth_OBJECTS =  \
169        $(am_negotiate_kerberos_auth_OBJECTS)
170#am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
171am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
172        $(am__DEPENDENCIES_1)
173am__DEPENDENCIES_3 =
174negotiate_kerberos_auth_DEPENDENCIES =  \
175        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
176        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
177        $(am__DEPENDENCIES_3)
178AM_V_lt = $(am__v_lt_$(V))
179am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
180am__v_lt_0 = --silent
181am__v_lt_1 = 
182negotiate_kerberos_auth_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
183        $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
184        $(AM_CXXFLAGS) $(CXXFLAGS) $(negotiate_kerberos_auth_LDFLAGS) \
185        $(LDFLAGS) -o $@
186am_negotiate_kerberos_auth_test_OBJECTS =  \
187        negotiate_kerberos_auth_test.$(OBJEXT)
188negotiate_kerberos_auth_test_OBJECTS =  \
189        $(am_negotiate_kerberos_auth_test_OBJECTS)
190negotiate_kerberos_auth_test_DEPENDENCIES =  \
191        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
192        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
193        $(am__DEPENDENCIES_3)
194negotiate_kerberos_auth_test_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
195        $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
196        $(AM_CXXFLAGS) $(CXXFLAGS) \
197        $(negotiate_kerberos_auth_test_LDFLAGS) $(LDFLAGS) -o $@
198AM_V_P = $(am__v_P_$(V))
199am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
200am__v_P_0 = false
201am__v_P_1 = :
202AM_V_GEN = $(am__v_GEN_$(V))
203am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
204am__v_GEN_0 = @echo "  GEN     " $@;
205am__v_GEN_1 = 
206AM_V_at = $(am__v_at_$(V))
207am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
208am__v_at_0 = @
209am__v_at_1 = 
210DEFAULT_INCLUDES = 
211depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
212am__depfiles_maybe = depfiles
213am__mv = mv -f
214CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
215        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
216LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
217        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
218        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
219        $(AM_CXXFLAGS) $(CXXFLAGS)
220AM_V_CXX = $(am__v_CXX_$(V))
221am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
222am__v_CXX_0 = @echo "  CXX     " $@;
223am__v_CXX_1 = 
224CXXLD = $(CXX)
225CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
226        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
227        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
228AM_V_CXXLD = $(am__v_CXXLD_$(V))
229am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
230am__v_CXXLD_0 = @echo "  CXXLD   " $@;
231am__v_CXXLD_1 = 
232COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
233        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
234LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
235        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
236        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
237        $(AM_CFLAGS) $(CFLAGS)
238AM_V_CC = $(am__v_CC_$(V))
239am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
240am__v_CC_0 = @echo "  CC      " $@;
241am__v_CC_1 = 
242CCLD = $(CC)
243LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
244        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
245        $(AM_LDFLAGS) $(LDFLAGS) -o $@
246AM_V_CCLD = $(am__v_CCLD_$(V))
247am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
248am__v_CCLD_0 = @echo "  CCLD    " $@;
249am__v_CCLD_1 = 
250SOURCES = $(negotiate_kerberos_auth_SOURCES) \
251        $(negotiate_kerberos_auth_test_SOURCES)
252DIST_SOURCES = $(negotiate_kerberos_auth_SOURCES) \
253        $(negotiate_kerberos_auth_test_SOURCES)
254RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
255        ctags-recursive dvi-recursive html-recursive info-recursive \
256        install-data-recursive install-dvi-recursive \
257        install-exec-recursive install-html-recursive \
258        install-info-recursive install-pdf-recursive \
259        install-ps-recursive install-recursive installcheck-recursive \
260        installdirs-recursive pdf-recursive ps-recursive \
261        tags-recursive uninstall-recursive
262am__can_run_installinfo = \
263  case $$AM_UPDATE_INFO_DIR in \
264    n|no|NO) false;; \
265    *) (install-info --version) >/dev/null 2>&1;; \
266  esac
267am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
268am__vpath_adj = case $$p in \
269    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
270    *) f=$$p;; \
271  esac;
272am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
273am__install_max = 40
274am__nobase_strip_setup = \
275  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
276am__nobase_strip = \
277  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
278am__nobase_list = $(am__nobase_strip_setup); \
279  for p in $$list; do echo "$$p $$p"; done | \
280  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
281  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
282    if (++n[$$2] == $(am__install_max)) \
283      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
284    END { for (dir in files) print dir, files[dir] }'
285am__base_list = \
286  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
287  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
288am__uninstall_files_from_dir = { \
289  test -z "$$files" \
290    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
291    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
292         $(am__cd) "$$dir" && rm -f $$files; }; \
293  }
294man8dir = $(mandir)/man8
295NROFF = nroff
296MANS = $(man_MANS)
297RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
298  distclean-recursive maintainer-clean-recursive
299am__recursive_targets = \
300  $(RECURSIVE_TARGETS) \
301  $(RECURSIVE_CLEAN_TARGETS) \
302  $(am__extra_recursive_targets)
303AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
304        check recheck distdir
305am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
306# Read a list of newline-separated strings from the standard input,
307# and print each of them once, without duplicates.  Input order is
308# *not* preserved.
309am__uniquify_input = $(AWK) '\
310  BEGIN { nonempty = 0; } \
311  { items[$$0] = 1; nonempty = 1; } \
312  END { if (nonempty) { for (i in items) print i; }; } \
313'
314# Make sure the list of sources is unique.  This is necessary because,
315# e.g., the same source file might be shared among _SOURCES variables
316# for different programs/libraries.
317am__define_uniq_tagged_files = \
318  list='$(am__tagged_files)'; \
319  unique=`for i in $$list; do \
320    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
321  done | $(am__uniquify_input)`
322ETAGS = etags
323CTAGS = ctags
324am__tty_colors_dummy = \
325  mgn= red= grn= lgn= blu= brg= std=; \
326  am__color_tests=no
327am__tty_colors = { \
328  $(am__tty_colors_dummy); \
329  if test "X$(AM_COLOR_TESTS)" = Xno; then \
330    am__color_tests=no; \
331  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
332    am__color_tests=yes; \
333  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
334    am__color_tests=yes; \
335  fi; \
336  if test $$am__color_tests = yes; then \
337    red='[0;31m'; \
338    grn='[0;32m'; \
339    lgn='[1;32m'; \
340    blu='[1;34m'; \
341    mgn='[0;35m'; \
342    brg='[1m'; \
343    std='[m'; \
344  fi; \
345}
346am__recheck_rx = ^[     ]*:recheck:[    ]*
347am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
348am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
349# A command that, given a newline-separated list of test names on the
350# standard input, print the name of the tests that are to be re-run
351# upon "make recheck".
352am__list_recheck_tests = $(AWK) '{ \
353  recheck = 1; \
354  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
355    { \
356      if (rc < 0) \
357        { \
358          if ((getline line2 < ($$0 ".log")) < 0) \
359            recheck = 0; \
360          break; \
361        } \
362      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
363        { \
364          recheck = 0; \
365          break; \
366        } \
367      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
368        { \
369          break; \
370        } \
371    }; \
372  if (recheck) \
373    print $$0; \
374  close ($$0 ".trs"); \
375  close ($$0 ".log"); \
376}'
377# A command that, given a newline-separated list of test names on the
378# standard input, create the global log from their .trs and .log files.
379am__create_global_log = $(AWK) ' \
380function fatal(msg) \
381{ \
382  print "fatal: making $@: " msg | "cat >&2"; \
383  exit 1; \
384} \
385function rst_section(header) \
386{ \
387  print header; \
388  len = length(header); \
389  for (i = 1; i <= len; i = i + 1) \
390    printf "="; \
391  printf "\n\n"; \
392} \
393{ \
394  copy_in_global_log = 1; \
395  global_test_result = "RUN"; \
396  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
397    { \
398      if (rc < 0) \
399         fatal("failed to read from " $$0 ".trs"); \
400      if (line ~ /$(am__global_test_result_rx)/) \
401        { \
402          sub("$(am__global_test_result_rx)", "", line); \
403          sub("[        ]*$$", "", line); \
404          global_test_result = line; \
405        } \
406      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
407        copy_in_global_log = 0; \
408    }; \
409  if (copy_in_global_log) \
410    { \
411      rst_section(global_test_result ": " $$0); \
412      while ((rc = (getline line < ($$0 ".log"))) != 0) \
413      { \
414        if (rc < 0) \
415          fatal("failed to read from " $$0 ".log"); \
416        print line; \
417      }; \
418      printf "\n"; \
419    }; \
420  close ($$0 ".trs"); \
421  close ($$0 ".log"); \
422}'
423# Restructured Text title.
424am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
425# Solaris 10 'make', and several other traditional 'make' implementations,
426# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
427# by disabling -e (using the XSI extension "set +e") if it's set.
428am__sh_e_setup = case $$- in *e*) set +e;; esac
429# Default flags passed to test drivers.
430am__common_driver_flags = \
431  --color-tests "$$am__color_tests" \
432  --enable-hard-errors "$$am__enable_hard_errors" \
433  --expect-failure "$$am__expect_failure"
434# To be inserted before the command running the test.  Creates the
435# directory for the log if needed.  Stores in $dir the directory
436# containing $f, in $tst the test, in $log the log.  Executes the
437# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
438# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
439# will run the test scripts (or their associated LOG_COMPILER, if
440# thy have one).
441am__check_pre = \
442$(am__sh_e_setup);                                      \
443$(am__vpath_adj_setup) $(am__vpath_adj)                 \
444$(am__tty_colors);                                      \
445srcdir=$(srcdir); export srcdir;                        \
446case "$@" in                                            \
447  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
448    *) am__odir=.;;                                     \
449esac;                                                   \
450test "x$$am__odir" = x"." || test -d "$$am__odir"       \
451  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
452if test -f "./$$f"; then dir=./;                        \
453elif test -f "$$f"; then dir=;                          \
454else dir="$(srcdir)/"; fi;                              \
455tst=$$dir$$f; log='$@';                                 \
456if test -n '$(DISABLE_HARD_ERRORS)'; then               \
457  am__enable_hard_errors=no;                            \
458else                                                    \
459  am__enable_hard_errors=yes;                           \
460fi;                                                     \
461case " $(XFAIL_TESTS) " in                              \
462  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
463    am__expect_failure=yes;;                            \
464  *)                                                    \
465    am__expect_failure=no;;                             \
466esac;                                                   \
467$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
468# A shell command to get the names of the tests scripts with any registered
469# extension removed (i.e., equivalently, the names of the test logs, with
470# the '.log' extension removed).  The result is saved in the shell variable
471# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
472# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
473# since that might cause problem with VPATH rewrites for suffix-less tests.
474# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
475am__set_TESTS_bases = \
476  bases='$(TEST_LOGS)'; \
477  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
478  bases=`echo $$bases`
479RECHECK_LOGS = $(TEST_LOGS)
480TEST_SUITE_LOG = test-suite.log
481TEST_EXTENSIONS =  .test
482am__test_logs1 = $(TESTS:=.log)
483am__test_logs2 = $(am__test_logs1:.log=.log)
484TEST_LOGS = $(am__test_logs2:.test.log=.log)
485TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
486TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
487        $(TEST_LOG_FLAGS)
488am__set_b = \
489  case '$@' in \
490    */*) \
491      case '$*' in \
492        */*) b='$*';; \
493          *) b=`echo '$@' | sed 's/\.log$$//'`; \
494       esac;; \
495    *) \
496      b='$*';; \
497  esac
498DIST_SUBDIRS = $(SUBDIRS)
499am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
500        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
501        README
502DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
503am__relativize = \
504  dir0=`pwd`; \
505  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
506  sed_rest='s,^[^/]*/*,,'; \
507  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
508  sed_butlast='s,/*[^/]*$$,,'; \
509  while test -n "$$dir1"; do \
510    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
511    if test "$$first" != "."; then \
512      if test "$$first" = ".."; then \
513        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
514        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
515      else \
516        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
517        if test "$$first2" = "$$first"; then \
518          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
519        else \
520          dir2="../$$dir2"; \
521        fi; \
522        dir0="$$dir0"/"$$first"; \
523      fi; \
524    fi; \
525    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
526  done; \
527  reldir="$$dir2"
528ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
529ADAPTATION_LIBS = adaptation/libadaptation.la
530ALLOCA =
531AMTAR = $${TAR-tar}
532AM_DEFAULT_VERBOSITY = 1
533AR = /usr/bin/ar
534AR_R = /usr/bin/ar r
535AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
536AUTH_MODULES =  basic digest negotiate ntlm
537AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
538AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
539AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
540AWK = gawk
541BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
542BUILDCXX = g++
543BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
544BZR =
545CACHE_EFFECTIVE_USER = proxy
546CC = gcc
547CCDEPMODE = depmode=none
548CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
549CGIEXT = .cgi
550CHMOD = /bin/chmod
551CPP = gcc -E
552CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
553CPPUNITCONFIG = /usr/bin/cppunit-config
554CRYPTLIB = -lcrypt
555CXX = g++
556CXXCPP = g++ -E
557CXXDEPMODE = depmode=none
558CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
559CYGPATH_W = echo
560DEFAULT_HOSTS = /etc/hosts
561DEFAULT_LOG_DIR = /var/log/squid-ssl
562DEFAULT_PID_FILE = /var/run/squid-ssl.pid
563DEFAULT_SWAP_DIR = /var/spool/squid-ssl
564DEFS = -DHAVE_CONFIG_H
565DEPDIR = .deps
566DIGEST_AUTH_HELPERS =  file LDAP
567DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
568DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
569DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
570DISK_OS_LIBS =  -lrt -lpthread
571DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
572DLLTOOL = false
573DSYMUTIL =
574DUMPBIN =
575ECAP_LIBS = ecap/libsquid-ecap.la
576ECHO_C =
577ECHO_N = -n
578ECHO_T =
579EGREP = /bin/egrep
580EPOLL_LIBS =
581EUILIB =
582EXEEXT =
583EXPATLIB = -lexpat
584EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
585EXT_LIBECAP_CFLAGS =
586EXT_LIBECAP_LIBS = -lecap
587FALSE = /bin/false
588FGREP = /bin/fgrep
589GREP = grep
590HAVE_CXX11 = 1
591ICAP_LIBS = icap/libicap.la
592INCLTDL =
593INSTALL = /usr/bin/install -c
594INSTALL_DATA = ${INSTALL} -m 644
595INSTALL_PROGRAM = ${INSTALL}
596INSTALL_SCRIPT = ${INSTALL}
597INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
598KRB5INCS = -isystem /usr/include/mit-krb5
599KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
600LBERLIB = -llber
601LD = /usr/bin/ld -m elf_x86_64
602LDAPLIB = -lldap
603LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
604LIBADD_DL = -ldl
605LIBADD_DLD_LINK =
606LIBADD_DLOPEN = -ldl
607LIBADD_SHL_LOAD =
608LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
609LIBGNUTLS_LIBS = -lgnutls
610LIBLTDL = -lltdl
611LIBOBJS =
612LIBOPENSSL_CFLAGS =
613LIBOPENSSL_LIBS = -lssl -lcrypto
614LIBS =
615LIBSASL = -lsasl2
616LIBTOOL = $(SHELL) $(top_builddir)/libtool
617LIB_DB = -ldb
618LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
619LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
620LINUXDOC = /bin/false
621LIPO =
622LN = /bin/ln
623LN_S = ln -s
624LOG_DAEMON_HELPERS =  DB file
625LTDLDEPS =
626LTDLINCL =
627LTDLOPEN = libltdl
628LTLIBOBJS =
629LT_ARGZ_H =
630LT_CONFIG_H = include/autoconf.h
631LT_DLLOADERS =  libltdl/dlopen.la
632LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
633LT_SYS_LIBRARY_PATH =
634MAINT = #
635MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
636MANIFEST_TOOL = :
637MINGW_LIBS =
638MKDIR = /bin/mkdir
639MKDIR_P = /bin/mkdir -p
640MV = /bin/mv
641NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
642NETTLELIB =  -lnettle
643NM = /usr/bin/nm -B
644NMEDIT =
645NTLM_AUTH_HELPERS =  fake smb_lm
646OBJDUMP = objdump
647OBJEXT = o
648OTOOL =
649OTOOL64 =
650PACKAGE = squid
651PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
652PACKAGE_NAME = Squid Web Proxy
653PACKAGE_STRING = Squid Web Proxy 3.5.12
654PACKAGE_TARNAME = squid
655PACKAGE_URL =
656PACKAGE_VERSION = 3.5.12
657PATH_SEPARATOR = :
658PERL = /usr/bin/perl
659PKG_CONFIG = /usr/bin/pkg-config
660PKG_CONFIG_LIBDIR =
661PKG_CONFIG_PATH =
662PO2HTML = off
663PO2TEXT = off
664POD2MAN = /usr/bin/pod2man
665RANLIB = ranlib
666REGEXLIB =
667REPL_LIBS = liblru.a libheap.a
668REPL_OBJS = repl/liblru.a repl/libheap.a
669REPL_POLICIES = lru heap
670RM = /bin/rm -f
671SED = /bin/sed
672SET_MAKE =
673SH = /bin/sh
674SHELL = /bin/bash
675SMBCLIENT = /usr/bin/smbclient
676SNMPLIB = ../lib/snmplib/libsnmplib.la
677SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
678SQUID_CPPUNIT_INC =
679SQUID_CPPUNIT_LA =
680SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
681SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
682SSLLIB =  -lssl -lcrypto  -lgnutls
683STOREID_REWRITE_HELPERS =  file
684STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
685STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
686STORE_TESTS =
687STRIP = strip
688TR = /usr/bin/tr
689TRUE = /bin/true
690URL_REWRITE_HELPERS =  fake
691VERSION = 3.5.12
692WBINFO =
693WIN32_PSAPI =
694XMLLIB = -lxml2
695XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
696XTRA_OBJS =
697abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/negotiate_auth/kerberos
698abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/negotiate_auth/kerberos
699abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
700abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
701ac_ct_AR =
702ac_ct_CC = gcc
703ac_ct_CXX = g++
704ac_ct_DUMPBIN =
705am__include = include
706am__leading_dot = .
707am__quote =
708am__tar = tar --format=ustar -chf - "$$tardir"
709am__untar = tar -xf -
710bindir = ${exec_prefix}/bin
711build = x86_64-pc-linux-gnu
712build_alias = x86_64-linux-gnu
713build_cpu = x86_64
714build_os = linux-gnu
715build_vendor = pc
716builddir = .
717datadir = /usr/share/squid-ssl
718datarootdir = ${prefix}/share
719docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
720dvidir = ${docdir}
721exec_prefix = ${prefix}
722host = x86_64-pc-linux-gnu
723host_alias =
724host_cpu = x86_64
725host_os = linux-gnu
726host_vendor = pc
727htmldir = ${docdir}
728includedir = ${prefix}/include
729infodir = ${prefix}/share/info
730install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
731krb5_config =
732libdir = ${exec_prefix}/lib
733libexecdir = /usr/lib/squid-ssl
734localedir = ${datarootdir}/locale
735localstatedir = /var
736ltdl_LIBOBJS =  lt__strl.o
737ltdl_LTLIBOBJS =  lt__strl.lo
738mandir = /usr/share/man
739mkdir_p = $(MKDIR_P)
740oldincludedir = /usr/include
741pdfdir = ${docdir}
742prefix = /usr
743program_transform_name = s&$$&-ssl&
744psdir = ${docdir}
745runstatedir = ${localstatedir}/run
746sbindir = ${exec_prefix}/sbin
747sharedstatedir = ${prefix}/com
748srcdir = .
749subdirs =  libltdl
750sys_symbol_underscore = no
751sysconfdir = /etc/squid-ssl
752target_alias =
753top_build_prefix = ../../../
754top_builddir = ../../..
755top_srcdir = ../../..
756AM_CFLAGS = $(SQUID_CFLAGS)
757AM_CXXFLAGS = $(SQUID_CXXFLAGS)
758CLEANFILES =
759AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
760        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
761        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
762        $(am__append_1) -I$(srcdir)
763LIBPROFILER =
764#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
765COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
766subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
767EXTRA_DIST = README required.m4 negotiate_kerberos_auth.8
768SUBDIRS =
769negotiate_kerberos_auth_SOURCES = negotiate_kerberos_auth.cc negotiate_kerberos_pac.cc negotiate_kerberos.h
770negotiate_kerberos_auth_LDFLAGS =
771negotiate_kerberos_auth_LDADD = \
772        $(top_builddir)/lib/libmiscencoding.la \
773        $(COMPAT_LIB) \
774        $(NETTLELIB) \
775        $(KRB5LIBS) \
776        $(XTRA_LIBS)
777
778negotiate_kerberos_auth_test_SOURCES = negotiate_kerberos_auth_test.cc
779negotiate_kerberos_auth_test_LDFLAGS =
780negotiate_kerberos_auth_test_LDADD = \
781        $(top_builddir)/lib/libmiscencoding.la \
782        $(COMPAT_LIB) \
783        $(NETTLELIB) \
784        $(KRB5LIBS) \
785        $(XTRA_LIBS)
786
787man_MANS = negotiate_kerberos_auth.8
788all: all-recursive
789
790.SUFFIXES:
791.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
792$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
793        @for dep in $?; do \
794          case '$(am__configure_deps)' in \
795            *$$dep*) \
796              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
797                && { if test -f $@; then exit 0; else break; fi; }; \
798              exit 1;; \
799          esac; \
800        done; \
801        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu helpers/negotiate_auth/kerberos/Makefile'; \
802        $(am__cd) $(top_srcdir) && \
803          $(AUTOMAKE) --gnu helpers/negotiate_auth/kerberos/Makefile
804Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
805        @case '$?' in \
806          *config.status*) \
807            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
808          *) \
809            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
810            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
811        esac;
812$(top_srcdir)/src/Common.am $(am__empty):
813
814$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
815        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
816
817$(top_srcdir)/configure: # $(am__configure_deps)
818        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
819$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
820        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
821$(am__aclocal_m4_deps):
822
823clean-checkPROGRAMS:
824        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
825        echo " rm -f" $$list; \
826        rm -f $$list || exit $$?; \
827        test -n "$(EXEEXT)" || exit 0; \
828        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
829        echo " rm -f" $$list; \
830        rm -f $$list
831install-libexecPROGRAMS: $(libexec_PROGRAMS)
832        @$(NORMAL_INSTALL)
833        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
834        if test -n "$$list"; then \
835          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
836          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
837        fi; \
838        for p in $$list; do echo "$$p $$p"; done | \
839        sed 's/$(EXEEXT)$$//' | \
840        while read p p1; do if test -f $$p \
841         || test -f $$p1 \
842          ; then echo "$$p"; echo "$$p"; else :; fi; \
843        done | \
844        sed -e 'p;s,.*/,,;n;h' \
845            -e 's|.*|.|' \
846            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
847        sed 'N;N;N;s,\n, ,g' | \
848        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
849          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
850            if ($$2 == $$4) files[d] = files[d] " " $$1; \
851            else { print "f", $$3 "/" $$4, $$1; } } \
852          END { for (d in files) print "f", d, files[d] }' | \
853        while read type dir files; do \
854            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
855            test -z "$$files" || { \
856            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
857            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
858            } \
859        ; done
860
861uninstall-libexecPROGRAMS:
862        @$(NORMAL_UNINSTALL)
863        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
864        files=`for p in $$list; do echo "$$p"; done | \
865          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
866              -e 's/$$/$(EXEEXT)/' \
867        `; \
868        test -n "$$list" || exit 0; \
869        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
870        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
871
872clean-libexecPROGRAMS:
873        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
874        echo " rm -f" $$list; \
875        rm -f $$list || exit $$?; \
876        test -n "$(EXEEXT)" || exit 0; \
877        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
878        echo " rm -f" $$list; \
879        rm -f $$list
880
881negotiate_kerberos_auth$(EXEEXT): $(negotiate_kerberos_auth_OBJECTS) $(negotiate_kerberos_auth_DEPENDENCIES) $(EXTRA_negotiate_kerberos_auth_DEPENDENCIES) 
882        @rm -f negotiate_kerberos_auth$(EXEEXT)
883        $(AM_V_CXXLD)$(negotiate_kerberos_auth_LINK) $(negotiate_kerberos_auth_OBJECTS) $(negotiate_kerberos_auth_LDADD) $(LIBS)
884
885negotiate_kerberos_auth_test$(EXEEXT): $(negotiate_kerberos_auth_test_OBJECTS) $(negotiate_kerberos_auth_test_DEPENDENCIES) $(EXTRA_negotiate_kerberos_auth_test_DEPENDENCIES) 
886        @rm -f negotiate_kerberos_auth_test$(EXEEXT)
887        $(AM_V_CXXLD)$(negotiate_kerberos_auth_test_LINK) $(negotiate_kerberos_auth_test_OBJECTS) $(negotiate_kerberos_auth_test_LDADD) $(LIBS)
888
889mostlyclean-compile:
890        -rm -f *.$(OBJEXT)
891
892distclean-compile:
893        -rm -f *.tab.c
894
895#include ./$(DEPDIR)/negotiate_kerberos_auth.Po
896#include ./$(DEPDIR)/negotiate_kerberos_auth_test.Po
897#include ./$(DEPDIR)/negotiate_kerberos_pac.Po
898
899.cc.o:
900#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
901#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
902#       $(am__mv) $$depbase.Tpo $$depbase.Po
903#       $(AM_V_CXX)source='$<' object='$@' libtool=no
904#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
905        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
906
907.cc.obj:
908#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
909#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
910#       $(am__mv) $$depbase.Tpo $$depbase.Po
911#       $(AM_V_CXX)source='$<' object='$@' libtool=no
912#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
913        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
914
915.cc.lo:
916#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
917#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
918#       $(am__mv) $$depbase.Tpo $$depbase.Plo
919#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
920#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
921        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
922
923mostlyclean-libtool:
924        -rm -f *.lo
925
926clean-libtool:
927        -rm -rf .libs _libs
928install-man8: $(man_MANS)
929        @$(NORMAL_INSTALL)
930        @list1=''; \
931        list2='$(man_MANS)'; \
932        test -n "$(man8dir)" \
933          && test -n "`echo $$list1$$list2`" \
934          || exit 0; \
935        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
936        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
937        { for i in $$list1; do echo "$$i"; done\
938        if test -n "$$list2"; then \
939          for i in $$list2; do echo "$$i"; done \
940            | sed -n '/\.8[a-z]*$$/p'; \
941        fi; \
942        } | while read p; do \
943          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
944          echo "$$d$$p"; echo "$$p"; \
945        done | \
946        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
947              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
948        sed 'N;N;s,\n, ,g' | { \
949        list=; while read file base inst; do \
950          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
951            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
952            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
953          fi; \
954        done; \
955        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
956        while read files; do \
957          test -z "$$files" || { \
958            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
959            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
960        done; }
961
962uninstall-man8:
963        @$(NORMAL_UNINSTALL)
964        @list=''; test -n "$(man8dir)" || exit 0; \
965        files=`{ for i in $$list; do echo "$$i"; done; \
966        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
967          sed -n '/\.8[a-z]*$$/p'; \
968        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
969              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
970        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
971
972# This directory's subdirectories are mostly independent; you can cd
973# into them and run 'make' without going through this Makefile.
974# To change the values of 'make' variables: instead of editing Makefiles,
975# (1) if the variable is set in 'config.status', edit 'config.status'
976#     (which will cause the Makefiles to be regenerated when you run 'make');
977# (2) otherwise, pass the desired values on the 'make' command line.
978$(am__recursive_targets):
979        @fail=; \
980        if $(am__make_keepgoing); then \
981          failcom='fail=yes'; \
982        else \
983          failcom='exit 1'; \
984        fi; \
985        dot_seen=no; \
986        target=`echo $@ | sed s/-recursive//`; \
987        case "$@" in \
988          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
989          *) list='$(SUBDIRS)' ;; \
990        esac; \
991        for subdir in $$list; do \
992          echo "Making $$target in $$subdir"; \
993          if test "$$subdir" = "."; then \
994            dot_seen=yes; \
995            local_target="$$target-am"; \
996          else \
997            local_target="$$target"; \
998          fi; \
999          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1000          || eval $$failcom; \
1001        done; \
1002        if test "$$dot_seen" = "no"; then \
1003          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1004        fi; test -z "$$fail"
1005
1006ID: $(am__tagged_files)
1007        $(am__define_uniq_tagged_files); mkid -fID $$unique
1008tags: tags-recursive
1009TAGS: tags
1010
1011tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1012        set x; \
1013        here=`pwd`; \
1014        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1015          include_option=--etags-include; \
1016          empty_fix=.; \
1017        else \
1018          include_option=--include; \
1019          empty_fix=; \
1020        fi; \
1021        list='$(SUBDIRS)'; for subdir in $$list; do \
1022          if test "$$subdir" = .; then :; else \
1023            test ! -f $$subdir/TAGS || \
1024              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1025          fi; \
1026        done; \
1027        $(am__define_uniq_tagged_files); \
1028        shift; \
1029        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1030          test -n "$$unique" || unique=$$empty_fix; \
1031          if test $$# -gt 0; then \
1032            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1033              "$$@" $$unique; \
1034          else \
1035            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1036              $$unique; \
1037          fi; \
1038        fi
1039ctags: ctags-recursive
1040
1041CTAGS: ctags
1042ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1043        $(am__define_uniq_tagged_files); \
1044        test -z "$(CTAGS_ARGS)$$unique" \
1045          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1046             $$unique
1047
1048GTAGS:
1049        here=`$(am__cd) $(top_builddir) && pwd` \
1050          && $(am__cd) $(top_srcdir) \
1051          && gtags -i $(GTAGS_ARGS) "$$here"
1052cscopelist: cscopelist-recursive
1053
1054cscopelist-am: $(am__tagged_files)
1055        list='$(am__tagged_files)'; \
1056        case "$(srcdir)" in \
1057          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1058          *) sdir=$(subdir)/$(srcdir) ;; \
1059        esac; \
1060        for i in $$list; do \
1061          if test -f "$$i"; then \
1062            echo "$(subdir)/$$i"; \
1063          else \
1064            echo "$$sdir/$$i"; \
1065          fi; \
1066        done >> $(top_builddir)/cscope.files
1067
1068distclean-tags:
1069        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1070
1071# Recover from deleted '.trs' file; this should ensure that
1072# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1073# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1074# to avoid problems with "make -n".
1075.log.trs:
1076        rm -f $< $@
1077        $(MAKE) $(AM_MAKEFLAGS) $<
1078
1079# Leading 'am--fnord' is there to ensure the list of targets does not
1080# expand to empty, as could happen e.g. with make check TESTS=''.
1081am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1082am--force-recheck:
1083        @:
1084
1085$(TEST_SUITE_LOG): $(TEST_LOGS)
1086        @$(am__set_TESTS_bases); \
1087        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1088        redo_bases=`for i in $$bases; do \
1089                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1090                    done`; \
1091        if test -n "$$redo_bases"; then \
1092          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1093          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1094          if $(am__make_dryrun); then :; else \
1095            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1096          fi; \
1097        fi; \
1098        if test -n "$$am__remaking_logs"; then \
1099          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1100               "recursion detected" >&2; \
1101        elif test -n "$$redo_logs"; then \
1102          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1103        fi; \
1104        if $(am__make_dryrun); then :; else \
1105          st=0;  \
1106          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1107          for i in $$redo_bases; do \
1108            test -f $$i.trs && test -r $$i.trs \
1109              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1110            test -f $$i.log && test -r $$i.log \
1111              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1112          done; \
1113          test $$st -eq 0 || exit 1; \
1114        fi
1115        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1116        ws='[   ]'; \
1117        results=`for b in $$bases; do echo $$b.trs; done`; \
1118        test -n "$$results" || results=/dev/null; \
1119        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1120        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1121        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1122        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1123        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1124        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1125        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1126        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1127          success=true; \
1128        else \
1129          success=false; \
1130        fi; \
1131        br='==================='; br=$$br$$br$$br$$br; \
1132        result_count () \
1133        { \
1134            if test x"$$1" = x"--maybe-color"; then \
1135              maybe_colorize=yes; \
1136            elif test x"$$1" = x"--no-color"; then \
1137              maybe_colorize=no; \
1138            else \
1139              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1140            fi; \
1141            shift; \
1142            desc=$$1 count=$$2; \
1143            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1144              color_start=$$3 color_end=$$std; \
1145            else \
1146              color_start= color_end=; \
1147            fi; \
1148            echo "$${color_start}# $$desc $$count$${color_end}"; \
1149        }; \
1150        create_testsuite_report () \
1151        { \
1152          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1153          result_count $$1 "PASS: " $$pass  "$$grn"; \
1154          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1155          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1156          result_count $$1 "FAIL: " $$fail  "$$red"; \
1157          result_count $$1 "XPASS:" $$xpass "$$red"; \
1158          result_count $$1 "ERROR:" $$error "$$mgn"; \
1159        }; \
1160        {                                                               \
1161          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1162            $(am__rst_title);                                           \
1163          create_testsuite_report --no-color;                           \
1164          echo;                                                         \
1165          echo ".. contents:: :depth: 2";                               \
1166          echo;                                                         \
1167          for b in $$bases; do echo $$b; done                           \
1168            | $(am__create_global_log);                                 \
1169        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1170        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1171        if $$success; then                                              \
1172          col="$$grn";                                                  \
1173         else                                                           \
1174          col="$$red";                                                  \
1175          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1176        fi;                                                             \
1177        echo "$${col}$$br$${std}";                                      \
1178        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1179        echo "$${col}$$br$${std}";                                      \
1180        create_testsuite_report --maybe-color;                          \
1181        echo "$$col$$br$$std";                                          \
1182        if $$success; then :; else                                      \
1183          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1184          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1185            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1186          fi;                                                           \
1187          echo "$$col$$br$$std";                                        \
1188        fi;                                                             \
1189        $$success || exit 1
1190
1191check-TESTS:
1192        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1193        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1194        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1195        @set +e; $(am__set_TESTS_bases); \
1196        log_list=`for i in $$bases; do echo $$i.log; done`; \
1197        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1198        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1199        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1200        exit $$?;
1201recheck: all $(check_PROGRAMS)
1202        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1203        @set +e; $(am__set_TESTS_bases); \
1204        bases=`for i in $$bases; do echo $$i; done \
1205                 | $(am__list_recheck_tests)` || exit 1; \
1206        log_list=`for i in $$bases; do echo $$i.log; done`; \
1207        log_list=`echo $$log_list`; \
1208        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1209                am__force_recheck=am--force-recheck \
1210                TEST_LOGS="$$log_list"; \
1211        exit $$?
1212.test.log:
1213        @p='$<'; \
1214        $(am__set_b); \
1215        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1216        --log-file $$b.log --trs-file $$b.trs \
1217        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1218        "$$tst" $(AM_TESTS_FD_REDIRECT)
1219#.test$(EXEEXT).log:
1220#       @p='$<'; \
1221#       $(am__set_b); \
1222#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1223#       --log-file $$b.log --trs-file $$b.trs \
1224#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1225#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1226
1227distdir: $(DISTFILES)
1228        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1229        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1230        list='$(DISTFILES)'; \
1231          dist_files=`for file in $$list; do echo $$file; done | \
1232          sed -e "s|^$$srcdirstrip/||;t" \
1233              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1234        case $$dist_files in \
1235          */*) $(MKDIR_P) `echo "$$dist_files" | \
1236                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1237                           sort -u` ;; \
1238        esac; \
1239        for file in $$dist_files; do \
1240          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1241          if test -d $$d/$$file; then \
1242            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1243            if test -d "$(distdir)/$$file"; then \
1244              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1245            fi; \
1246            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1247              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1248              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1249            fi; \
1250            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1251          else \
1252            test -f "$(distdir)/$$file" \
1253            || cp -p $$d/$$file "$(distdir)/$$file" \
1254            || exit 1; \
1255          fi; \
1256        done
1257        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1258          if test "$$subdir" = .; then :; else \
1259            $(am__make_dryrun) \
1260              || test -d "$(distdir)/$$subdir" \
1261              || $(MKDIR_P) "$(distdir)/$$subdir" \
1262              || exit 1; \
1263            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1264            $(am__relativize); \
1265            new_distdir=$$reldir; \
1266            dir1=$$subdir; dir2="$(top_distdir)"; \
1267            $(am__relativize); \
1268            new_top_distdir=$$reldir; \
1269            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1270            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1271            ($(am__cd) $$subdir && \
1272              $(MAKE) $(AM_MAKEFLAGS) \
1273                top_distdir="$$new_top_distdir" \
1274                distdir="$$new_distdir" \
1275                am__remove_distdir=: \
1276                am__skip_length_check=: \
1277                am__skip_mode_fix=: \
1278                distdir) \
1279              || exit 1; \
1280          fi; \
1281        done
1282check-am: all-am
1283        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1284        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1285check: check-recursive
1286all-am: Makefile $(PROGRAMS) $(MANS)
1287installdirs: installdirs-recursive
1288installdirs-am:
1289        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
1290          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1291        done
1292install: install-recursive
1293install-exec: install-exec-recursive
1294install-data: install-data-recursive
1295uninstall: uninstall-recursive
1296
1297install-am: all-am
1298        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1299
1300installcheck: installcheck-recursive
1301install-strip:
1302        if test -z '$(STRIP)'; then \
1303          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1304            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1305              install; \
1306        else \
1307          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1308            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1309            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1310        fi
1311mostlyclean-generic:
1312        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1313        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1314        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1315
1316clean-generic:
1317        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1318
1319distclean-generic:
1320        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1321        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1322
1323maintainer-clean-generic:
1324        @echo "This command is intended for maintainers to use"
1325        @echo "it deletes files that may require special tools to rebuild."
1326clean: clean-recursive
1327
1328clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1329        clean-libtool mostlyclean-am
1330
1331distclean: distclean-recursive
1332        -rm -rf ./$(DEPDIR)
1333        -rm -f Makefile
1334distclean-am: clean-am distclean-compile distclean-generic \
1335        distclean-tags
1336
1337dvi: dvi-recursive
1338
1339dvi-am:
1340
1341html: html-recursive
1342
1343html-am:
1344
1345info: info-recursive
1346
1347info-am:
1348
1349install-data-am: install-man
1350
1351install-dvi: install-dvi-recursive
1352
1353install-dvi-am:
1354
1355install-exec-am: install-libexecPROGRAMS
1356
1357install-html: install-html-recursive
1358
1359install-html-am:
1360
1361install-info: install-info-recursive
1362
1363install-info-am:
1364
1365install-man: install-man8
1366
1367install-pdf: install-pdf-recursive
1368
1369install-pdf-am:
1370
1371install-ps: install-ps-recursive
1372
1373install-ps-am:
1374
1375installcheck-am:
1376
1377maintainer-clean: maintainer-clean-recursive
1378        -rm -rf ./$(DEPDIR)
1379        -rm -f Makefile
1380maintainer-clean-am: distclean-am maintainer-clean-generic
1381
1382mostlyclean: mostlyclean-recursive
1383
1384mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1385        mostlyclean-libtool
1386
1387pdf: pdf-recursive
1388
1389pdf-am:
1390
1391ps: ps-recursive
1392
1393ps-am:
1394
1395uninstall-am: uninstall-libexecPROGRAMS uninstall-man
1396
1397uninstall-man: uninstall-man8
1398
1399.MAKE: $(am__recursive_targets) check-am install-am install-strip
1400
1401.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1402        check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1403        clean-libexecPROGRAMS clean-libtool cscopelist-am ctags \
1404        ctags-am distclean distclean-compile distclean-generic \
1405        distclean-libtool distclean-tags distdir dvi dvi-am html \
1406        html-am info info-am install install-am install-data \
1407        install-data-am install-dvi install-dvi-am install-exec \
1408        install-exec-am install-html install-html-am install-info \
1409        install-info-am install-libexecPROGRAMS install-man \
1410        install-man8 install-pdf install-pdf-am install-ps \
1411        install-ps-am install-strip installcheck installcheck-am \
1412        installdirs installdirs-am maintainer-clean \
1413        maintainer-clean-generic mostlyclean mostlyclean-compile \
1414        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1415        recheck tags tags-am uninstall uninstall-am \
1416        uninstall-libexecPROGRAMS uninstall-man uninstall-man8
1417
1418.PRECIOUS: Makefile
1419
1420
1421$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1422
1423# Tell versions [3.59,3.63) of GNU make to not export all variables.
1424# Otherwise a system limit (for SysV at least) may be exceeded.
1425.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.